This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 73101 - redhat-config-httpd pukes python
redhat-config-httpd pukes python
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: 4Suite (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-30 15:21 EDT by Dax Kelson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-03 01:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-08-30 15:21:20 EDT
Description of Problem: 
I did an up2date of all the Aug 28th RPMS to a freshly installed Null box. Now 
when I run redhat-config-httpd, I get this: 
 
# redhat-config-httpd                                           Traceback 
(most recent call last):                                                File 
"/usr/share/apacheconf/ApacheConf.py", line 33, in ? 
    import ApacheGizmo 
  File "/usr/share/apacheconf/ApacheGizmo.py", line 36, in ? 
    import ApacheBase 
  File "/usr/share/apacheconf/ApacheBase.py", line 9, in ? 
    from xml.xslt.Processor import Processor 
  File "/usr/lib/python2.2/site-packages/_xmlplus/xslt/__init__.py", line 38, 
in ? 
    from Ft.Lib import pDomlette 
  File "/usr/lib/python2.2/site-packages/Ft/Lib/pDomlette.py", line 718, in ? 
    from pDomletteReader import * 
  File "/usr/lib/python2.2/site-packages/Ft/Lib/pDomletteReader.py", line 27, 
in ? 
    from xml.parsers import expat 
ImportError: cannot import name expat 
 
 
 
 
 
Version-Release number of selected component (if applicable): 
 
redhat-config-httpd-1.0.1-11 
 
How Reproducible: 
Everytime
Comment 1 Florian La Roche 2002-08-31 17:51:04 EDT
expat should be back with newest rpm packages. Please verify...

Thanks a lot,

Florian La Roche
Comment 2 Phil Knirsch 2002-09-02 11:15:29 EDT
Changing to component 4Suite as it should do:

Require: PyXML >= 0.7

as that contains the expat python module.

Read ya, Phil
Comment 3 Bill Nottingham 2002-09-03 01:18:57 EDT
It already does require PyXML >= 0.7.
Comment 4 Jay Turner 2002-09-03 10:34:18 EDT
4Suite-0.11.1-10 does indeed require PyXML >= 0.7 and
redhat-config-httpd-1.0.1-10 runs without error, so closing out.
Comment 5 Trond Eivind Glomsrxd 2002-09-03 10:38:06 EDT
This was a problem with one build which removed a buggy xml parser. For generic
cases, this works - however, if the program specifies which parser to run, it
does not. Thus it was put back.

Note You need to log in before you can comment on or make changes to this bug.